id: user_picture_entity_form_display
label: User picture form display configuration
migration_tags:
  - Drupal 6
  - Drupal 7
  - Configuration
source:
  plugin: user_picture_instance
  constants:
    entity_type: user
    bundle: user
    form_mode: default
    name: user_picture
    type: image_image
    options:
      settings:
        progress_indicator: throbber
        preview_image_style: thumbnail
process:
  entity_type: 'constants/entity_type'
  bundle: 'constants/bundle'
  field_name: 'constants/name'
  form_mode: 'constants/form_mode'
  type: 'constants/type'
  options: 'constants/options'
  'options/type': '@type'
destination:
  plugin: component_entity_form_display
migration_dependencies:
  required:
    - user_picture_field_instance
